Results 1 to 10 of 10

Thread: can´t install sudo and update 3 other packages any more

  1. #1

    Default can´t install sudo and update 3 other packages any more

    Hallo!
    Seit etwa 1 Monat kann ich diese 4 Pakete weder mit yast noch mit zypper installieren oder updaten. Alle anderen Pakete sind davon unberührt. Ich habe auch schon versucht, die Dateien aus dem ....rpm-package zu extrahieren und manuell an die richtige Stelle zu kopieren. Geht auch nicht. Ich kann alles mögliche als su- nach /usr/bin/ kopieren, aber bei sudo z.B. bekomme ich immer die Meldung von Informationen-Dolphin : /usr/bin/sudo kann nicht geschrieben werden. Meine Frage: wo ist das gesperrt? (In letzter Zeit hatte ich durch Experimente viele Systemabstürze. Dabei ist dann irgendwas durcheinandergeraten. und wegen dieser Dateien das System komplett neu auzusetzen, davor schrecke noch zurück.)

    Ausschnitt von zypper dup:
    ( 1/25) Installing: perl-Encode-3.07-1.2.x86_64 ........................................................................[error]
    Installation of perl-Encode-3.07-1.2.x86_64 failed:
    Error: Subprocess failed. Error: RPM failed: error: unpacking of archive failed on file /usr/share/man/man3/Encode::Encoder.3pmc.gz: cpio: rename failed - Input/output error
    error: perl-Encode-3.07-1.2.x86_64: install failed
    error: perl-Encode-3.07-1.1.x86_64: erase skipped

    Abort, retry, ignore? [a/r/i] (a): i
    ( 2/25) Installing: rust-cbindgen-0.14.3-1.2.x86_64 ....................................................................[error]
    Installation of rust-cbindgen-0.14.3-1.2.x86_64 failed:
    Error: Subprocess failed. Error: RPM failed: error: unpacking of archive failed on file /usr/bin/cbindgen: cpio: rename failed - Input/output error
    error: rust-cbindgen-0.14.3-1.2.x86_64: install failed
    error: rust-cbindgen-0.14.3-1.1.x86_64: erase skipped

    Abort, retry, ignore? [a/r/i] (a): i
    ( 3/25) Installing: sac-1.3-10.2.noarch ................................................................................[error]
    Installation of sac-1.3-10.2.noarch failed:
    Error: Subprocess failed. Error: RPM failed: error: unpacking of archive failed on file /usr/share/java/sac.jar: cpio: rename failed - Input/output error
    error: sac-1.3-10.2.noarch: install failed
    error: sac-1.3-10.1.noarch: erase skipped

    Abort, retry, ignore? [a/r/i] (a): i
    ( 4/25) Installing: sudo-1.9.2-3.1.x86_64 ..............................................................................[error]
    Installation of sudo-1.9.2-3.1.x86_64 failed:
    Error: Subprocess failed. Error: RPM failed: error: unpacking of archive failed on file /etc/sudo.conf: cpio: rename failed - Input/output error
    error: sudo-1.9.2-3.1.x86_64: install failed

    Hinweise zum Ausprobieren sind sehr willkommen. Danke im Voraus.

  2. #2
    Join Date
    Jan 2014
    Location
    Erlangen
    Posts
    2,044
    Blog Entries
    1

    Default Re: can´t install sudo and update 3 other packages any more

    Quote Originally Posted by w.pelser View Post
    Hallo!
    Seit etwa 1 Monat kann ich diese 4 Pakete weder mit yast noch mit zypper installieren oder updaten. Alle anderen Pakete sind davon unberührt. Ich habe auch schon versucht, die Dateien aus dem ....rpm-package zu extrahieren und manuell an die richtige Stelle zu kopieren. Geht auch nicht. Ich kann alles mögliche als su- nach /usr/bin/ kopieren, aber bei sudo z.B. bekomme ich immer die Meldung von Informationen-Dolphin : /usr/bin/sudo kann nicht geschrieben werden. Meine Frage: wo ist das gesperrt? (In letzter Zeit hatte ich durch Experimente viele Systemabstürze. Dabei ist dann irgendwas durcheinandergeraten. und wegen dieser Dateien das System komplett neu auzusetzen, davor schrecke noch zurück.)

    Ausschnitt von zypper dup:
    ( 1/25) Installing: perl-Encode-3.07-1.2.x86_64 ........................................................................[error]
    Installation of perl-Encode-3.07-1.2.x86_64 failed:
    Error: Subprocess failed. Error: RPM failed: error: unpacking of archive failed on file /usr/share/man/man3/Encode::Encoder.3pmc.gz: cpio: rename failed - Input/output error
    error: perl-Encode-3.07-1.2.x86_64: install failed
    error: perl-Encode-3.07-1.1.x86_64: erase skipped

    Abort, retry, ignore? [a/r/i] (a): i
    ( 2/25) Installing: rust-cbindgen-0.14.3-1.2.x86_64 ....................................................................[error]
    Installation of rust-cbindgen-0.14.3-1.2.x86_64 failed:
    Error: Subprocess failed. Error: RPM failed: error: unpacking of archive failed on file /usr/bin/cbindgen: cpio: rename failed - Input/output error
    error: rust-cbindgen-0.14.3-1.2.x86_64: install failed
    error: rust-cbindgen-0.14.3-1.1.x86_64: erase skipped

    Abort, retry, ignore? [a/r/i] (a): i
    ( 3/25) Installing: sac-1.3-10.2.noarch ................................................................................[error]
    Installation of sac-1.3-10.2.noarch failed:
    Error: Subprocess failed. Error: RPM failed: error: unpacking of archive failed on file /usr/share/java/sac.jar: cpio: rename failed - Input/output error
    error: sac-1.3-10.2.noarch: install failed
    error: sac-1.3-10.1.noarch: erase skipped

    Abort, retry, ignore? [a/r/i] (a): i
    ( 4/25) Installing: sudo-1.9.2-3.1.x86_64 ..............................................................................[error]
    Installation of sudo-1.9.2-3.1.x86_64 failed:
    Error: Subprocess failed. Error: RPM failed: error: unpacking of archive failed on file /etc/sudo.conf: cpio: rename failed - Input/output error
    error: sudo-1.9.2-3.1.x86_64: install failed

    Hinweise zum Ausprobieren sind sehr willkommen. Danke im Voraus.
    Einfach ausprobieren und das Ergebnis vollständig posten wie folgt:

    Code:
    erlangen:~ # zypper install --force sac
    Loading repository data...
    Reading installed packages...
    Forcing installation of 'sac-1.3-10.2.noarch' from repository 'openSUSE-20191106-0'.
    Resolving package dependencies...
    
    The following package is going to be reinstalled:
      sac
    
    1 package to reinstall.
    Overall download size: 19.7 KiB. Already cached: 0 B. No additional space will be used or freed after the operation.
    Continue? [y/n/v/...? shows all options] (y): 
    Retrieving package sac-1.3-10.2.noarch                                                                                                                                                                 (1/1),  19.7 KiB ( 18.7 KiB unpacked)
    Retrieving: sac-1.3-10.2.noarch.rpm ..................................................................................................................................................................................................[done]
    
    Checking for file conflicts: .........................................................................................................................................................................................................[done]
    (1/1) Installing: sac-1.3-10.2.noarch ................................................................................................................................................................................................[done]
    erlangen:~ #
    AMD Athlon 4850e (2009), openSUSE 13.1, KDE 4, Intel i3-4130 (2014), i7-6700K (2016), i5-8250U (2018), AMD Ryzen 5 3400G (2020), openSUSE Tumbleweed, KDE Plasma 5

  3. #3
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    5,007

    Default AW: can´t install sudo and update 3 other packages any more

    Also as root:
    Code:
    zypper clean -a

  4. #4

    Default Re: can´t install sudo and update 3 other packages any more

    Leider funktionieren Eure Hinweise nicht. Das Ergebnis bleibt immer gleich.

  5. #5

    Default Re: can´t install sudo and update 3 other packages any more

    localhost:~ # zypper install --force sac
    Loading repository data...
    Reading installed packages...
    Forcing installation of 'sac-1.3-10.2.noarch' from repository 'Haupt-Repository (OSS)'.
    Resolving package dependencies...

    The following package is going to be upgraded:
    sac

    1 package to upgrade.
    Overall download size: 19.7 KiB. Already cached: 0 B. No additional space will be used or freed after the operation.
    Continue? [y/n/v/...? shows all options] (y):
    Retrieving package sac-1.3-10.2.noarch (1/1), 19.7 KiB ( 18.7 KiB unpacked)
    Retrieving: sac-1.3-10.2.noarch.rpm .....................................................................................[done]

    Checking for file conflicts: ............................................................................................[done]
    (1/1) Installing: sac-1.3-10.2.noarch ..................................................................................[error]
    Installation of sac-1.3-10.2.noarch failed:
    Error: Subprocess failed. Error: RPM failed: error: unpacking of archive failed on file /usr/share/java/sac.jar: cpio: rename f
    ailed - Input/output error
    error: sac-1.3-10.2.noarch: install failed
    error: sac-1.3-10.1.noarch: erase skipped

    Abort, retry, ignore? [a/r/i] (a): a
    Problem occurred during or after installation or removal of packages:
    Installation has been aborted as directed.
    Please see the above error message for a hint.



  6. #6
    Join Date
    Jan 2014
    Location
    Erlangen
    Posts
    2,044
    Blog Entries
    1

    Default Re: can´t install sudo and update 3 other packages any more

    Quote Originally Posted by w.pelser View Post
    localhost:~ # zypper install --force sac
    Loading repository data...
    Reading installed packages...
    Forcing installation of 'sac-1.3-10.2.noarch' from repository 'Haupt-Repository (OSS)'.
    Resolving package dependencies...

    The following package is going to be upgraded:
    sac

    1 package to upgrade.
    Overall download size: 19.7 KiB. Already cached: 0 B. No additional space will be used or freed after the operation.
    Continue? [y/n/v/...? shows all options] (y):
    Retrieving package sac-1.3-10.2.noarch (1/1), 19.7 KiB ( 18.7 KiB unpacked)
    Retrieving: sac-1.3-10.2.noarch.rpm .....................................................................................[done]

    Checking for file conflicts: ............................................................................................[done]
    (1/1) Installing: sac-1.3-10.2.noarch ..................................................................................[error]
    Installation of sac-1.3-10.2.noarch failed:
    Error: Subprocess failed. Error: RPM failed: error: unpacking of archive failed on file /usr/share/java/sac.jar: cpio: rename f
    ailed - Input/output error
    error: sac-1.3-10.2.noarch: install failed
    error: sac-1.3-10.1.noarch: erase skipped

    Abort, retry, ignore? [a/r/i] (a): a
    Problem occurred during or after installation or removal of packages:
    Installation has been aborted as directed.
    Please see the above error message for a hint.


    Installiere erst rpm neu: zypper install --force rpm
    AMD Athlon 4850e (2009), openSUSE 13.1, KDE 4, Intel i3-4130 (2014), i7-6700K (2016), i5-8250U (2018), AMD Ryzen 5 3400G (2020), openSUSE Tumbleweed, KDE Plasma 5

  7. #7

    Default Re: can´t install sudo and update 3 other packages any more

    Leider hilft auch das nicht. Ergebnis bleibt dasselbe.

  8. #8
    Join Date
    Sep 2014
    Location
    Germany
    Posts
    554

    Default Re: can´t install sudo and update 3 other packages any more

    Quote Originally Posted by w.pelser View Post
    ... Seit etwa 1 Monat kann ich diese 4 Pakete weder mit yast noch mit zypper installieren oder updaten.
    Bitte zeige das Ergebnis von
    Code:
    # zypper lr -uEP
    Führe den Befehl als Benutzer "root" in einer Konsole aus und zeige das vollständige Ergebnis (d.h. inkl. der Eingabeaufforderung, dem verwendeten Befehl, allen Ausgaben und der nächsten Eingabeaufforderung).

    Hast Du Dein openSUSE Tumbleweed auch immer mit
    Code:
    # zypper dup
    aktualisiert?

    Viele Grüße

    susejunky

  9. #9
    Join Date
    Jan 2014
    Location
    Erlangen
    Posts
    2,044
    Blog Entries
    1

    Default Re: can´t install sudo and update 3 other packages any more

    Quote Originally Posted by w.pelser View Post
    Leider hilft auch das nicht. Ergebnis bleibt dasselbe.
    Existiert das file /usr/share/java/sac.jar? Einfach löschen und nochmals installieren.
    AMD Athlon 4850e (2009), openSUSE 13.1, KDE 4, Intel i3-4130 (2014), i7-6700K (2016), i5-8250U (2018), AMD Ryzen 5 3400G (2020), openSUSE Tumbleweed, KDE Plasma 5

  10. #10

    Default Re: can´t install sudo and update 3 other packages any more

    Guten Morgen erstmal! Und vielen Dank für Eure Aufmerksamkeit!

    (Irgendwie habe ich Probleme mit dem log-in, es klappt nur zufällig. So wie jetzt gerade und eben gestern Abend leider nicht mehr.)

    Bei meinen Lösungsversuchen bin ich jetzt schon weitergekommen. Es ist wohl ein BTRFS Problem verursacht durch die Systemabstürze, wo durch unvollständige Aktionen unfertige Einträge im BRTFS-log zurückgeblieben sind.
    dmesg(kleiner Ausschnitt):

    [27586.777061] BTRFS error (device sda1): parent transid verify failed on 130359361536 wanted 427299 found 427290
    [27586.785710] BTRFS error (device sda1): parent transid verify failed on 130359361536 wanted 427299 found 427290
    [27589.334222] BTRFS error (device sda1): parent transid verify failed on 130359361536 wanted 427299 found 427290
    [27589.342873] BTRFS error (device sda1): parent transid verify failed on 130359361536 wanted 427299 found 427290


    # btrfs check -force /dev/sda1
    ergibt eine Riesenliste von Fehler-Meldungen, die ich hier nicht wiedergeben will, weil sie viel zu lang ist.

    Daraus folgt, dass ein Versuch der Reparatur gemacht werden könnte.
    # btrfs rescue zero-log /dev/sda1
    Der funktioniert jedoch nur, wenn das root-filesystem nicht eingehängt ist, also nur über ein rescue-system (auf CD oder USB). -Jetzt habe ich auch eine Erklärung, warum die NET-Installatios-CD das root-filesystem gestern nicht einbinden konnte.-

    Und da muss ich dann doch noch ein bisschen vorher planen, damit der mögliche Schaden begrenzt bleibt.
    Auch hier sind Tipps sehr willkommen.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •